Name:          python-pexpect
Version:       3.3
Release:       1mamba
Summary:       Pexpect is a pure Python Expect. It allows easy control of other applications.
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://pexpect.sourceforge.net/
Source:        https://github.com/pexpect/pexpect.git/%{version}/pexpect-%{version}.tar.bz2
#Source:        http://pexpect.sourceforge.net/pexpect-%{version}.tar.gz
License:       MIT
Requires:      python >= %python_version
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel >= %python_version
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Pexpect is a pure Python expect-like module. Pexpect makes Python a better tool for controlling other applications.
Pexpect is a pure Python module for spawning child applications; controlling them; and responding to expected patterns in their output. Pexpect works like Don Libes' Expect. Pexpect allows your script to spawn a child application and control it as if a human were typing commands.
Pexpect can be used for automating interactive applications such as ssh, ftp, passwd, telnet, etc. It can be used to a automate setup scripts for duplicating software package installations on different servers. It can be used for automated software testing. Pexpect is in the spirit of Don Libes' Expect, but Pexpect is pure Python. Unlike other Expect-like modules for Python, Pexpect does not require TCL or Expect nor does it require C extensions to be compiled. It should work on any platform that supports the standard Python pty module. The Pexpect interface was designed to be easy to use.
Send questions to: noah@noah.org Put 'pexpect' in the subject. 

%prep
%setup -q -n pexpect-%{version}

%build
%{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{python_sitearch}/*.py
%{python_sitearch}/*.pyc
%dir %{python_sitearch}/pexpect
%{python_sitearch}/pexpect/*.py*
%{python_sitearch}/pexpect-%{version}-py*.egg-info

%changelog
* Sat Jul 12 2014 Automatic Build System <autodist@mambasoft.it> 3.3-1mamba
- automatic version update by autodist

* Fri Apr 18 2014 Automatic Build System <autodist@mambasoft.it> 3.2-1mamba
- automatic version update by autodist

* Thu Feb 06 2014 Automatic Build System <autodist@mambasoft.it> 3.1-1mamba
- automatic version update by autodist

* Sun Jan 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0-1mamba
- update to 3.0

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-3mamba
- python 2.7 mass rebuild

* Mon Oct 26 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3-2mamba
- rebuilt with python 2.6

* Sun Oct 12 2008 gil <puntogil@libero.it> 2.3-1mamba
- package created by autospec
